commit 5d36e9dc70f4b534d1ec6cbbe84683130daaaf1e
parent 7af0b4a5248a3514328cb4e02fb3aaace70701f6
Author: finwo <finwo@pm.me>
Date: Wed, 15 Nov 2017 00:16:27 +0100
Install fix ; fix for multi-dependency projects
Diffstat:
2 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/dep b/dep
@@ -126,7 +126,7 @@ case "$1" in
source .dep
# Install dependencies
- for dependency in $DEPS; do
+ for dependency in "${DEPS[@]}"; do
$0 $1 $dependency || {
echo "Installing dependencies failed" >&2
echo "Error thrown during '$dependency' or one of it's dependencies" >&2
@@ -212,7 +212,7 @@ case "$1" in
if [ -f lib/$2/.dep ]; then
clean_conf lib/$2/.dep
source lib/$2/.dep
- for dependency in $DEPS; do
+ for dependency in "${DEPS[@]}"; do
$0 $1 $dependency exit 1
done
fi
diff --git a/install.sh b/install.sh
@@ -29,7 +29,7 @@ command -v curl &>/dev/null || {
}
# Default install directory
-mkdir -p /usr/local/bin/dep
+mkdir -p /usr/local/bin
# Main script
curl -L# https://raw.githubusercontent.com/cdeps/dep/master/dep > /usr/local/bin/dep